$font-size: min(min(4vw, 4vh), 30px);
$key-size: min(6vw, 6vh);

.key {
  height: 100%;
  border: none;
  cursor: pointer;
  padding: 1px 6px;

  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 8%;

  animation-duration: 0.5s;
  text-transform: uppercase;

}

img {
  width: 60%;
  height: $key-size;
}

p {
  font-size: $font-size;
  font-weight: 500;

  &.reduced-font {
    font-size: min(min(4vw, 4vh), 26px);
  }
}

.clear {
  background-color: #4c4347;
  color: #fafaff;
}

.wrong {
  animation-name: wrongTransition;
  background-color: #594b4f;
  color: #6e5c62;
}

.right {
  animation-name: rightTransition;
  background-color: var(--colorRight);
  color: white;
}

.place {
  animation-name: placeTransition;
  background-color: var(--colorPlace);
  color: white;
}

.placeToRight {
  animation-name: placeToRight;
  background-color: var(--colorRight);
  color: white;
}

@keyframes wrongTransition {
  from {
    background-color: #4c4347;
    color: white;
  }
  to {
    background-color: #594b4f;
    color: #6e5c62;
  }
}

@keyframes rightTransition {
  from {
    background-color: #4c4347;
    color: white;
  }
  to {
    background-color: var(--colorRight);
    color: white;
  }
}

@keyframes placeToRight {
  from {
    background-color: var(--colorPlace);
    color: white;
  }
  to {
    background-color: var(--colorRight);
    color: white;
  }
}

@keyframes placeTransition {
  from {
    background-color: #4c4347;
    color: white;
  }
  to {
    background-color: var(--colorPlace);
    color: white;
  }
}
